require 'app_mail/client'
require 'app_mail/config'

module AppMail

  def self.config
    @config ||= Config.new
  end

  def self.configure(&block)
    block.call(config)
  end

  def self.send_message(&block)
    AppMail::Client.instance.send_message(&block)
  end

  def self.send_raw_message(&block)
    AppMail::Client.instance.send_raw_message(&block)
  end

end
