module AppMail
  class Config

    def host
      @host || ENV['APPMAIL_HOST'] || 'api.appmail.io'
    end
    attr_writer :host

    def server_key
      @server_key || ENV['APPMAIL_KEY'] || raise(Error, "Server key has not been configured. Set it using the `AppMail.configure` block or use `APPMAIL_KEY` environment variable.")
    end
    attr_writer :server_key

  end
end
